TEMPLATE = app

CONFIG += qt fly qtsingleapplication
QT     += widgets x11extras KWindowSystem
FLY    += integration

CONFIG   += link_pkgconfig
PKGCONFIG = x11 xtst

QT      += SonnetCore
DEFINES += WITH_SONNET

#QT      += Solid
#DEFINES += WITH_SOLID

exists( /usr/include/qaccessibilityclient/registry.h ) {
    DEFINES += QAccessibilityClient_FOUND
    LIBS += -lqaccessibilityclient-qt5
    message("Build with accessibility support, QAccessibilityClient_FOUND")
} else {
    exists( $$FLY_INCDIR/qaccessibilityclient/registry.h ) {
        DEFINES += QAccessibilityClient_FOUND
        LIBS += -lqaccessibilityclient-qt5
        message("Build with accessibility support,  QAccessibilityClient_FOUND")
    } else {
        exists( /usr/local/include/qaccessibilityclient/registry.h ) {
            DEFINES += QAccessibilityClient_FOUND
            LIBS += -lqaccessibilityclient-qt5
            message("Build with accessibility support,  QAccessibilityClient_FOUND")
        }
    }
}

TARGET   = fly-vkbd

HEADERS += dragwidget.h \
    kbddock.h \
    main.h \
    mainwidget.h \
    numpadvbutton.h \
    resizabledragwidget.h \
    vbutton.h \
    controlbutton.h \
    rus2lat.h \
    keysym2ucs.h \
    ConvertUTF.h \
    SimpleIni.h \
    libflycore.h

SOURCES += dragwidget.cpp \
    kbddock.cpp \
    main.cpp \
    mainwidget.cpp \
    numpadvbutton.cpp \
    resizabledragwidget.cpp \
    vbutton.cpp \
    controlbutton.cpp \
    rus2lat.cpp \
    keysym2ucs.cpp \
    ConvertUTF.c \
    libflycore.cpp

RESOURCES += res.qrc

TRANSLATIONS += fly-vkbd_ru.ts

load(fly_vars)

flycss.path  = $$FLY_INSTALL_DATA/$$TARGET/styles
flycss.files = styles/*.css

flyicons.path  = $$FLY_INSTALL_DATA/$$TARGET/icons
flyicons.files = icons/*.png

INSTALLS += flycss flyicons

