#ifndef LIBFLYCORE_H
#define LIBFLYCORE_H

#include <string>

#define FLYWM_LOCKER_WINDOW_NAME "FLYWM_LOCKER_WINDOW"
Window FindToplevelWindowByName(Display *dpy,Window win,const char *winName);

enum FlyDir {
    //wm specific
    WM_DIR,
    //user specific
    USER_TMP_DIR,       USER_BASE_DIR,    USER_THEME_DIR,     USER_START_MENU_DIR, 
    USER_CPL_DIR, //obsolete!
    USER_DESKTOP_DIR, USER_DOCUMENTS_DIR, USER_TRASH_DIR,   
    FLY_WORK_DIR, //deprecated, use USER_TMP_DIR
    //app specific (shared)
    APP_SHARED_DIR,  APP_TRANS_DIR, APP_DOCS_DIR, APP_DOCS_HTML_DIR,
    WM_SOUNDS_DIR, WM_IMAGES_DIR, WM_KEYMAPS_DIR,
    //user specific more
    USER_TOOLBAR_DIR, USER_HOME_DIR,
    //added from xdg-user-dirs
    USER_VIDEOS_DIR, USER_MUSIC_DIR, USER_PICTURES_DIR, USER_DOWNLOAD_DIR, USER_PUBLICSHARE_DIR, USER_TEMPLATES_DIR,
    //others
    USER_AUTOSTART_MENU_DIR, //fredesktop.org's autostart dir for user
    USER_CACHE_DIR,
    WM_DECOR_DIR,
    WM_SHARED_DESKTOP_DIR, WM_SHARED_STARTMENU_DIR
};

#define FLY_CURRENT_THEME_NAME  "current.themerc"

extern const std::string &GetFlyDir(FlyDir d);

enum WhatFlySession {
    FLY_UNKNOWN,
    FLY_FAILSAFE,
    FLY_DESKTOP,
    FLY_TABLET,
    FLY_MINI,
    FLY_MOBILE,
    FLY_WESTON,
    FLY_KIOSK,
    FLY_TABLET_KIOSK,
};
extern const char *flySessionName();
extern std::string flySessionConfigSuffix(WhatFlySession stype=FLY_UNKNOWN);
WhatFlySession whatFlySession(); //check $DESKTOP_SESSION

int GetStandardIconSize(int itemSize);

#endif
