#include "rus2lat.h"

static QString rusLetters=QString::fromUtf8(
            "ё"
			"йцукенгшщзхъ"
			"фывапролджэ"
			"ячсмитьбю"
			"Ё"
			"ЙЦУКЕНГШЩЗХЪ"
			"ФЫВАПРОЛДЖЭ"
			"ЯЧСМИТЬБЮ"
);
static QString latLetters=QString::fromUtf8(
            "`"
			"qwertyuiop[]"
			"asdfghjkl;'"
			"zxcvbnm,."
			"~"
			"QWERTYUIOP{}"
			"ASDFGHJKL:\""
			"ZXCVBNM<>"
);
static int rus_len = rusLetters.length();
static int lat_len = latLetters.length();

static QString replace(const QString &str_in, const QString& pattern_in, const QString& pattern_out)
{
  QString str_out;
  int len = str_in.length();

  str_out=str_in;

  for (int i=0;i<len;i++)
  {
    int pos = pattern_in.indexOf(str_in[i]);
    if (pos>=0) str_out[i] = pattern_out[pos];
    //else        str_out[i] = str_in[i];
  }
  return str_out;

}
QString rus2lat(const QString & str_in) { return replace(str_in,rusLetters,latLetters); }
QString lat2rus(const QString & str_in) { return replace(str_in,latLetters,rusLetters); }

